# This file is part of the Owl Positioning System (OwlPS) project.
# It is subject to the copyright notice and license terms in the
# COPYRIGHT.t2t file found in the top-level directory of this
# distribution and at
#   http://code.lm7.fr/p/owlps/source/tree/master/COPYRIGHT.t2t
# No part of the OwlPS Project, including this file, may be copied,
# modified, propagated, or distributed except according to the terms
# contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
# distributed along with this file, either separately or by replacing
# this notice by the COPYRIGHT.t2t file's contents.

# This module tries to find the Confuse library and sets the following
# variables:
#   CONFUSE_INCLUDE_DIR
#   CONFUSE_LIBRARY
#   CONFUSE_FOUND

# Search for the header file
find_path(CONFUSE_INCLUDE_DIR confuse.h
  PATH_SUFFIXES include)

# Search for the library
find_library(CONFUSE_LIBRARY confuse
  PATH_SUFFIXES lib)

# Did we find everything we need?
FIND_PACKAGE_HANDLE_STANDARD_ARGS(Confuse DEFAULT_MSG
  CONFUSE_LIBRARY CONFUSE_INCLUDE_DIR)
