/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   http://code.lm7.fr/p/owlps/source/tree/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRIGHT.t2t file's contents.
 */


#ifndef _OWLPS_POSITIONING_FRBHMBASIC_HH_
#define _OWLPS_POSITIONING_FRBHMBASIC_HH_

#include "fbcm.hh"
#include "nss.hh"

/// Computes a position using the Interlink Networks formula
class FRBHMBasic: public FBCM, public NSS
{
protected:
  ReferencePoint const *closest_in_ss ;

  float friis_index(const CapturePoint *const cp) const ;

public:
  FRBHMBasic(void):
    PositioningAlgorithm("FRBHMBasic"), closest_in_ss(nullptr) {}
  ~FRBHMBasic(void) {}

  /** @name Operations */
  //@{
  Result compute(const Request &_request) ;
  float estimate_distance(const Measurement &measurement) ;
  //@}
} ;

#endif // _OWLPS_POSITIONING_FRBHMBASIC_HH_
