/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   http://code.lm7.fr/p/owlps/source/tree/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRIGHT.t2t file's contents.
 */


#include "interlinknetworks.hh"



float InterlinkNetworks::
estimate_distance(const Measurement &measurement)
{
  double constant_term = make_constant_term(measurement) ;
  float average_dbm = measurement.get_average_dbm() ;
  return pow(10, (constant_term - average_dbm) / 35) ;
}
