/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   http://code.lm7.fr/p/owlps/source/tree/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRIGHT.t2t file's contents.
 */


#ifndef _OWLPS_POSITIONING_REALPOSITION_HH_
#define _OWLPS_POSITIONING_REALPOSITION_HH_

#include "positioningalgorithm.hh"

/// Pseudo-algorithm that "computes" the real position
/**
 * The real position is extracted from CalibrationRequests. If the
 * request is a simple Request, the computed position is (0;0;0).
 */
class RealPosition: public PositioningAlgorithm
{
public:
  RealPosition(void): PositioningAlgorithm("Real") {}

  Result compute(const Request &request) ;
} ;

#endif // _OWLPS_POSITIONING_REALPOSITION_HH_
